import { X as a, gC as m, gD as d, M as b, S as c, g1 as u, bI as i, a6 as C, G as l, Y as n, a9 as g, bJ as h, gE as w, F as e, al as y } from "./603b75d9.js";
import { C as k } from "./4963ac97.js";
import "react";
import { ColumnLink as V } from "./f5fb28b1.js";
import "react-dom";
import "./ffcffc16.js";
const f = a.div`
  > a {
    color: ${m} !important;

    &:hover {
      color: ${d} !important;
    }
  }
`, x = a.div`
  ul {
    background: transparent !important;
    border-bottom: 0;

    li {
      padding: 0 10px 0 0 !important;
      line-height: normal !important;

      &::after {
        content: none !important;
      }
    }
  }  
`, L = new b({
  label: c,
  onClick: u,
  hidden: i,
  disabled: i
}, (t) => t).setPropertyViewFn((t) => /* @__PURE__ */ C(l, {
  children: [t.label.propertyView({
    label: n("label")
  }), t.onClick.propertyView({
    label: n("table.action"),
    placement: "table"
  }), g(t), h(t)]
})).build(), B = function() {
  const t = {
    options: w(L, {
      initOptions: [{
        label: n("table.option1")
      }]
    })
  };
  return new k(t, (r) => {
    const p = r.options.filter((o) => !o.hidden).map((o, s) => ({
      key: s,
      label: /* @__PURE__ */ e(f, {
        children: /* @__PURE__ */ e(V, {
          disabled: o.disabled,
          label: o.label,
          onClick: o.onClick
        })
      })
    }));
    return /* @__PURE__ */ e(x, {
      children: /* @__PURE__ */ e(y, {
        mode: "horizontal",
        items: p
      })
    });
  }, () => "").setPropertyViewFn((r) => /* @__PURE__ */ e(l, {
    children: r.options.propertyView({
      newOptionLabel: n("table.option"),
      title: n("table.optionList")
    })
  })).build();
}();
export {
  B as ColumnLinksComp
};
